<html lang=en>
<head>
<meta charset=utf-8 />
<title>Conway's Game of Life</title>
<link rel="shortcut icon" href=../favicon.ico />
<style>
:root{font-size:62.5%;}
body,html{margin:0;padding:0;height:100vh;width:100vw;position:fixed;background-color:#000;}
.overlay{position:fixed;top:0;left:0;right:0;bottom:0;background-color:rgba(0,0,0,0.5);}
.overlay .modal{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);text-align:center;background-color:rgba(51, 51, 51, 0.9);color:#fff;padding:2rem 3rem;font-size:2rem;border-top-left-radius:2rem;}
#settings{left:0;}
#quick-change-container{right:0;bottom:0;}
#settings,#quick-change-container{position:absolute;top:0;z-index:9002;display:flex;flex-direction:column;padding:0.5rem;opacity:0;transition:opacity 150ms ease;overflow-y:auto;}
#settings:hover,#quick-change-container:hover{opacity:0.9;}
button{border:0.3rem solid transparent;padding:1rem 2rem;margin:0.5rem;background-color:#3b6489;color:#fff;outline:none;}
button.active{background-color:#222;border:0.3rem solid #3b6489;}
button[data-dismiss]{border:0;padding:1rem 2rem;margin-top:2rem;background-color:#3b6489;color:#fff;}
button:hover{background-color:#6694be;}
</style>
<body>
<canvas id=screen></canvas>
<div id=settings><button data-toggle-value=debug data-text-on=": On">Debug Mode</button><button data-toggle-value=experimental data-text-on=": On">Experimental Mode</button></div>
<div id=quick-change-container><button data-pattern="">Random!</button></div>
<div id=size-warning class=overlay hidden><div class=modal><div>Your screen is too large for the maximum supported number of cells.</div><button data-dismiss=size-warning>Okay</button></div></div>
<div id=stagnant-warning class=overlay hidden><div class=modal><div>Your game appears to have stagnated.</div><button data-dismiss=stagnant-warning>Okay</button></div></div>
<div id=dead-warning class=overlay hidden><div class=modal><div>Your game has died.</div><button data-dismiss=dead-warning>Okay</button></div></div>
<div id=loading class=overlay hidden><div class=modal>Loading...</div></div>
<div id=parsing class=overlay hidden><div class=modal>Parsing...</div></div>
<script type="text/javascript" src="./WASM.js"></script>
<script type="text/javascript" src="./index.js"></script>
